GET
/hyax-api/v1/landing-pagesList landing pages
Base URL: https://platform.hyax.com · Replace YOUR_API_KEY with your team API key.
Query parameters
| Name | Required | Description |
|---|---|---|
page | No | Default 1 |
limit | No | Default 20, max 100 |
status | No | `DRAFT` | `PUBLISHED` | `ARCHIVED` |
builderMode | No | `FULL_AI` | `AI_MANUAL` |
search | No | Filter by page name or slug |
slug | No | Exact slug match |
Request
curl -X GET 'https://platform.hyax.com/hyax-api/v1/landing-pages?page=1&limit=10' \
-H 'Authorization: Bearer YOUR_API_KEY'Response
{
"success": true,
"data": [{
"id": "clx…",
"name": "Product launch",
"slug": "product-launch",
"path": "/lp/product-launch",
"status": "DRAFT",
"builderMode": "FULL_AI",
"folder": null,
"updatedAt": "2026-07-29T18:00:00.000Z"
}],
"pagination": { "page": 1, "limit": 20, "total": 1, "totalPages": 1 }
}